package com.fjhx.jushuitan.initializers;

import cn.hutool.extra.spring.SpringUtil;
import com.fjhx.jushuitan.service.api.JstApiService;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

@Component
public class JstInitializer {
    @Resource
    JstApiService jstApiService;

    @PostConstruct
    public void dataInitializer() {
        if ("dev".equals(SpringUtil.getActiveProfile())) {
            return;
        }
        jstApiService.startOrder();
    }





}
